## org.codehaus.plexus.i18n
Class DefaultLanguage

    java.lang.Object
      org.codehaus.plexus.i18n.DefaultLanguage

All Implemented Interfaces:
  Language

    public class DefaultLanguage

extends java.lang.Object
implements Language

Author:
  Oleg Gusakov

Field Summary

Fields inherited from interface org.codehaus.plexus.i18n.Language
`DEFAULT_NAME, ROLE`

Constructor Summary
`DefaultLanguage()`
`DefaultLanguage(java.lang.Class clazz)`
`DefaultLanguage(java.lang.Class clazz, java.util.Locale locale)`

Method Summary
`java.lang.String` `getMessage(java.lang.String key, java.lang.String... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLanguage

    public DefaultLanguage()

### DefaultLanguage

    public DefaultLanguage(java.lang.Class clazz)

### DefaultLanguage

    public DefaultLanguage(java.lang.Class clazz,
                           java.util.Locale locale)

Method Detail

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String... args)

  Specified by:
    `getMessage` in interface `Language`

Copyright © 2011. All Rights Reserved.